Package org.eclipse.birt.report.model.api

# Class IncludedLibraryHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.IncludedLibraryHandle

public class IncludedLibraryHandle extends StructureHandle
Represents the handle of the included library.

File Name
  File name is required for an include library.
Namespace
  Namespace is required for an include library.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`IncludedLibraryHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of the included library.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileName()`
Gets the file name of the include library.
`String`
`getNamespace()`
Returns the namespace of the included library.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncludedLibraryHandle

public IncludedLibraryHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of the included library.

Parameters:
  `valueHandle` - the value handle for the included library list of one property
  `index` - the position of this included library in the list

## Method Details

### getFileName

public String getFileName()
Gets the file name of the include library.

Returns:
  the file name of the include library

### getNamespace

public String getNamespace()
Returns the namespace of the included library. The namespace identify one library uniquely in design file.

Returns:
  the namespace of the included library.